Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex MPP Analytics for PostgreSQL
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • List
        • GetAtRevision
        • Create
        • Update
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • ResourceGroup
  1. API reference
  2. REST
  3. ResourceGroup
  4. List

Managed Service for Greenplum® API, REST: ResourceGroup.List

Written by
Yandex Cloud
Updated at June 1, 2026
  • HTTP request
  • Path parameters
  • Response
  • ResourceGroup

List all resource group

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-greenplum/v1/clusters/{clusterId}/resource_groups

Path parametersPath parameters

Field

Description

clusterId

string

Required field.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "resourceGroups": [
    {
      "name": "string",
      "isUserDefined": "boolean",
      "concurrency": "string",
      "cpuRateLimit": "string",
      "memoryLimit": "string",
      "memorySharedQuota": "string",
      "memorySpillRatio": "string",
      "cpuMaxPercent": "string",
      "cpuWeight": "string",
      "memoryQuota": "string",
      "minCost": "string",
      "ioLimit": "string"
    }
  ]
}

Field

Description

resourceGroups[]

ResourceGroup

ResourceGroupResourceGroup

ResourceGroup defines a resource group configuration shared between Greenplum and Apache Cloudberry,
but the two engines use different sets of fields.

Greenplum fields:

  • concurrency
  • cpu_rate_limit
  • memory_limit
  • memory_shared_quota
  • memory_spill_ratio

Apache Cloudberry fields:

  • concurrency
  • cpu_max_percent
  • cpu_weight
  • memory_quota
  • min_cost
  • io_limit

The sets partially overlap (concurrency is common to both). Passing Greenplum-specific
fields to a CloudBerry cluster or vice versa is not rejected at the proto level -
field validation is performed at runtime by the service.

Field

Description

name

string

Required field.

The string length in characters must be 3-200. Value must match the regular expression ^[^\|/*?.,;'<>]+$.

isUserDefined

boolean

concurrency

string (int64)

References to CONCURRENCY from gp resource group parameter

The minimum value is 0.

cpuRateLimit

string (int64)

References to CPU_RATE_LIMIT from gp resource group parameter

Acceptable values are 1 to 100, inclusive.

memoryLimit

string (int64)

References to MEMORY_LIMIT from gp resource group parameter

Acceptable values are 0 to 100, inclusive.

memorySharedQuota

string (int64)

References to MEMORY_SHARED_QUOTA from gp resource group parameter

Acceptable values are 0 to 100, inclusive.

memorySpillRatio

string (int64)

References to MEMORY_SPILL_RATIO from gp resource group parameter

Acceptable values are 0 to 100, inclusive.

cpuMaxPercent

string (int64)

References to CPU_MAX_PERCENT from Apache Cloudberry resource group parameter:
The maximum percentage of CPU resources the group can use.

cpuWeight

string (int64)

References to CPU_WEIGHT from Apache Cloudberry resource group parameter:
The scheduling priority of the resource group.

Acceptable values are 1 to 500, inclusive.

memoryQuota

string (int64)

References to MEMORY_QUOTA from Apache Cloudberry resource group parameter:
The memory limit (Mb) specified for the resource group.

minCost

string (int64)

References to MIN_COST from Apache Cloudberry resource group parameter:
The minimum cost of a query plan to be included in the resource group.

ioLimit

string (int64)

References to IO_LIMIT from Apache Cloudberry resource group parameter:
The limit for the maximum read/write disk I/O throughput, and maximum read/write I/O operations per second.
Set the value on a per-tablespace basis.

Was the article helpful?

Previous
Overview
Next
GetAtRevision
© 2026 Direct Cursus Technology L.L.C.